import request from '@/utils/request'
//身份证识别
export function getOcrIdCard(data) {
  return request({
    'url': '/ocr/ocrIdCard',
    'method': 'post',
	'data':data
  })
}
//营业执照识别
export function getOcrBusinessLicense(data) {
  return request({
    'url': '/ocr/ocrBusinessLicense',
    'method': 'post',
	'data':data
  })
}
//人脸识别(注册接口)
export function getOcrSample(data) {
  return request({
    'url': '/ocr/ocrSample',
    'method': 'post',
	'data':data
  })
}


//营业执照信息-列表 enterprise:enterprise:list
export function getEnterpriseList(data) {
  return request({
    'url': '/enterprise/list',
    'method': 'get',
	'data':data
  })
}
//营业执照信息-列表不分页 enterprise:enterprise:listNoPage
export function getQyListNoPage(data) {
  return request({
    'url': '/enterprise/listNoPage',
    'method': 'get',
	'data':data,
  })
}
//营业执照信息-新增 enterprise:enterprise:add
export function getEnterpriseAdd(data) {
  return request({
    'url': '/enterprise',
    'method': 'post',
	'data':data
  })
}
//营业执照信息-修改	 enterprise:enterprise:edit
export function getEnterpriseEdit(data) {
  return request({
    'url': '/enterprise/put',
    'method': 'post',
	'data':data
  })
}
//营业执照信息-删除 enterprise:enterprise:remove
export function getEnterpriseDel(data) {
  return request({
    'url': '/enterprise/delete/'+data,
    'method': 'get',
  })
}
//营业执照信息-详情 enterprise:enterprise:query
export function getEnterpriseDet(data) {
  return request({
    'url': '/enterprise/'+data,
    'method': 'get',
  })
}
//用户身份证信息列表-新增idcard:idcard:add
export function getIdCardAdd(data) {
  return request({
    'url': '/idCard',
    'method': 'post',
	'data':data
  })
}
//用户身份证信息列表-列表idcard:idcard:list
export function getIdCardList(data) {
  return request({
    'url': '/idCard/list',
    'method': 'get',
	'data':data
  })
}
//登录用户身份证信息列表-修改idcard:idcard:edit
export function getIdCardPut(data) {
  return request({
    'url': '/idCard/put',
    'method': 'post',
	'data':data
  })
}
//用户身份证信息列表-详情idcard:idcard:query
export function getIdCardDet(data) {
  return request({
    'url': '/idCard/'+data,
    'method': 'get',
  })
}
//用户身份证信息列表-删除idcard:idcard:remove
export function getIdCardDel(data) {
  return request({
    'url': '/idCard/delete/'+data,
    'method': 'get',
  })
}

//人脸识别阿里云金融级实人认证
export function getOcrFn(data) {
  return request({
    'url': '/ocr/ocrSampleAliYun',
    'method': 'post',
	'data':data
  })
}
//人脸识别百度V4版本H5
export function getOcrH5Fn(data) {
  return request({
    'url': '/idCard/h',
    'method': 'post',
	'data':data
  })
}

//修改人脸识别状态
export function getChangeFace(data) {
  return request({
    'url': '/system/user/changeFace',
    'method': 'post',
	'data':data
  })
}

// word文档签名
export function getWordFilePath(data) {
  return request({
    'url': '/word/wordFilePath',
    'method': 'post',
	'data':data
  })
}


